Qt Reference Documentation

# QStyleOptionQ3ListViewItem Class Reference

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView. More...

     #include <QStyleOptionQ3ListViewItem>

Inherits: QStyleOption.

- List of all members, including inherited members

## Public Types

enum | Q3ListViewItemFeature { None, Expandable, MultiLine, Visible, ParentControl }
flags | Q3ListViewItemFeatures
enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionQ3ListViewItem ()
| QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )

- 2 public functions inherited from QStyleOption

## Public Variables

int | childCount
Q3ListViewItemFeatures | features
int | height
int | itemY
int | totalHeight

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView.

This class is used for drawing the compatibility Q3ListView's items. It is not recommended for new classes.

QStyleOptionQ3ListViewItem contains all the information that QStyle functions need to draw the Q3ListView items.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption, QStyleOptionQ3ListView, and Q3ListViewItem.

## Member Type Documentation

### enum QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
flags QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures

This enum describes the features a list view item can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListViewItem::None` | `0x00` | A standard item.
`QStyleOptionQ3ListViewItem::Expandable` | `0x01` | The item has children that can be shown.
`QStyleOptionQ3ListViewItem::MultiLine` | `0x02` | The item is more than one line tall.
`QStyleOptionQ3ListViewItem::Visible` | `0x04` | The item is visible.
`QStyleOptionQ3ListViewItem::ParentControl` | `0x08` | The item's parent is a type of item control (Q3CheckListItem::Controller).

The Q3ListViewItemFeatures type is a typedef for QFlags<Q3ListViewItemFeature>. It stores an OR combination of Q3ListViewItemFeature values.

See also features, Q3ListViewItem::isVisible(), Q3ListViewItem::multiLinesEnabled(), and Q3ListViewItem::isExpandable().

### enum QStyleOptionQ3ListViewItem::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListViewItem::Type` | `SO_Q3ListViewItem` | The type of style option provided (SO_Q3ListViewItem for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionQ3ListViewItem::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListViewItem::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ()

Constructs a QStyleOptionQ3ListViewItem, initializing the members variables to their default values.

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### int QStyleOptionQ3ListViewItem::childCount

This variable holds the number of children the item has.

### Q3ListViewItemFeatures QStyleOptionQ3ListViewItem::features

This variable holds the features for this item.

This variable is a bitwise OR of the features of the item. The deafult value is None.

See also Q3ListViewItemFeature.

### int QStyleOptionQ3ListViewItem::height

This variable holds the height of the item.

This doesn't include the height of the item's children. The default height is 0.

See also Q3ListViewItem::height().

### int QStyleOptionQ3ListViewItem::itemY

This variable holds the Y-coordinate for the item.

The default value is 0.

See also Q3ListViewItem::itemPos().

### int QStyleOptionQ3ListViewItem::totalHeight

This variable holds the total height of the item, including its children.

The default total height is 0.

See also Q3ListViewItem::totalHeight().